 <?php
//
// +----------------------------------------------------------------------+
// | cpLinks - Links Engine
// | http://www.webresourceindex.com
// | Full licence details can be found at http://www.webresourceindex.com 
// +----------------------------------------------------------------------+
// | Copyright (c) 2004 Media Netrix Limited  - http://www.medianetrix.com
// +----------------------------------------------------------------------+
// | THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESSED OR IMPLIED WARRANTIES,
// | INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
// | AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL
// | MEDIA NETRIX LIMITED OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
// | INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
// | BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
// | USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
// | ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
// | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
// | THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
// | 
// | THE PROGRAM MAY NOT BE SOLD OR RE-SOLD WITHOUT THE EXPLICIT AND WRITTEN 
// | PERMISSION OF MEDIA NETRIX LIMITED.
// |
// | MODIFIED PROGRAM CODES MAY NOT BE PUBLICISED, DISTRIBUTED OR SOLD IN ANY MANNER. 
// +----------------------------------------------------------------------+
// | admin_interface.php version history:
// | version 1.0 01/06/2004
// | version 1.03 26/10/2004
// +----------------------------------------------------------------------+
//

require ( "../version.php" );

define ( "MAIN_COLOUR", "#C3D8DA" );
define ( "PAGE_TITLE", $CONFIG_VAR['website_name'] . " Administration v" . $cplinks_version );

function admin_page_header()
    {
    
    $bgcolour = MAIN_COLOUR;
    $title = PAGE_TITLE;

    echo "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">\n";
    echo "<html>\n";
    echo "<head>\n";
    echo "<title>$title</title>\n";
    echo "<link rel=stylesheet href=\"admin_font_styles.css\" type=\"text/css\">\n";
	echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=iso-8859-1\">\n";
    echo "</head>\n";
    echo "<body>\n";
    echo "<table width=\"100%\" border=\"0\" cellpadding=\"5\" cellspacing=\"0\" bgcolor=\"$bgcolour\">\n";
    echo "<tr>\n";
    echo "<td height=\"70\" align=\"center\"><font face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"4\" color=\"#000000\"><b>$title</b></font></td>\n";
    echo "</tr>\n";
    echo "</table>\n";
    }

function breadcrumbs ( $page)
    {
    echo "<br>\n";
    echo "<table width=\"90%\" border=\"0\" cellpadding=\"5\" cellspacing=\"1\" bgcolor=\"#555555\" align=\"center\">\n";
    echo "<tr bgcolor=\"#EEEEEE\">\n";
    $breadcrumbs = create_breadcrumbs ( $page );
    echo "<td height=\"20\" class=\"mnlbreadcrumbs\">$breadcrumbs</td>\n";
    echo "</tr>\n";
    echo "</table>\n";
    echo "<br>\n";
    }


function create_breadcrumbs ( $page )
    {
    global $category, $sub_category;

    $limiter = "&nbsp;&raquo;&nbsp;";
    $home_url = "<a href=\"admin_welcome.php\">Home</a>";
    $category_list_url = "<a href=\"admin_category_list.php\">Category Management</a>";
    $link_list_url = "<a href=\"admin_link_list.php?cat=" . $category . "&amp;sub_cat=" . $sub_category . "\">Link Management</a>";

	switch ( $page )
        {
        case "welcome":
            $breadcrumbs = "Home";
            break;
        
		case "category_list":
            $breadcrumbs = $home_url . $limiter . "Category Management";
            break;
        
		case "approve_links":
            $breadcrumbs = $home_url . $limiter . "Approve New Links";
            break;
        
		case "edit_approve_link":
            $breadcrumbs = $home_url . $limiter . "<a href=\"admin_approve_links.php\">Approve New Links</a>" . $limiter . "Edit New Link";
            break;

		case "link_list":
            $breadcrumbs = $home_url . $limiter . $category_list_url . $limiter . "Manage Links";
            break;
		
		case "edit_manage_link":
            $breadcrumbs = $home_url . $limiter . $category_list_url . $limiter . $link_list_url . $limiter . "Edit Link";
            break;

		case "delete_manage_link":
            $breadcrumbs = $home_url . $limiter . $category_list_url . $limiter . $link_list_url . $limiter . "Delete Link";
            break;

		case "add_link":
            $breadcrumbs = $home_url . $limiter . $category_list_url . $limiter . $link_list_url . $limiter . "Add a Link";
            break;

		case "delete_approve_link":
            $breadcrumbs = $home_url . $limiter . "<a href=\"admin_approve_links.php\">Approve New Links</a>" . $limiter . "Delete New Link";
            break;

		case "add_category":
            $breadcrumbs = $home_url . $limiter . $category_list_url . $limiter . "Add a new Category";
            break;

        case "edit_category":
            $breadcrumbs = $home_url . $limiter . $category_list_url . $limiter . "Edit Category";
            break;

        case "delete_category":
            $breadcrumbs = $home_url . $limiter . $category_list_url . $limiter . "Delete Category";
            break;

        case "add_sub_category":
            $breadcrumbs = $home_url . $limiter . $category_list_url . $limiter . "Add a new Sub Category";
            break;

        case "system_setup":
            $breadcrumbs = $home_url . $limiter . "System Setup";
			break;

        case "edit_sub_category":
            $breadcrumbs = $home_url . $limiter . $category_list_url . $limiter . "Edit " . $category . " Sub Category";
            break;

        case "delete_sub_category":
            $breadcrumbs = $home_url . $limiter . $category_list_url . $limiter . "Delete " . $sub_category . " Sub Category";
            break;

        case "build_all":
            $breadcrumbs = $home_url . $limiter . "Build Entire Directory";
            break;

        case "logout":
            $breadcrumbs = $home_url . $limiter . "Logged Out";
            break;
        }
    return $breadcrumbs;
    }


function admin_page_footer( $version )
    {
    
	// It is a condition of the licence that the following copyright notice and links are retained
    echo "<table width=\"100%\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" bgcolor=\"#FFFFFF\">\n";
    echo "<tr>\n";
    echo "<td align=\"center\"><font face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"1\" color=\"#555555\"><br>Powered by <a style=\"text-decoration: none\" TARGET=_blank href=\"http://www.webresourceindex.com\">cpLinks</a>&nbsp;($version) &copy; 2004 <a style=\"text-decoration: none\" target=_blank href=\"http://www.medianetrix.com\">Media Netrix Limited</a></font></td>\n";
    echo "</tr>\n";
    echo "</table>\n";
    echo "</body>\n";
    echo "</html>\n";
    }

function menu_heading ( $text )
    {
    echo "<tr><td bgcolor=\"" . MAIN_COLOUR . "\">&nbsp;<font face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"2\" color=\"#000000\"><b>$text</b></font></td></tr>\n";
    }


function menu_item ( $text, $url )
    {
    echo "<li><a class=\"mnladminmenu\" href=\"$url\">$text</a></li>\n";
    }


function admin_side_menu()
    {
    
    $bgcolour = MAIN_COLOUR;

    echo "<td width=\"200\" bgcolor=\"$bgcolour\" valign=\"top\">\n";
    echo "<table width=\"100%\" border=\"0\" align=\"center\" cellspacing=\"5\" cellpadding=\"5\" bgcolor=\"$bgcolour\">\n";
    menu_heading ( "Navigation Menu" );
    
    echo "<tr><td class=\"main_menu\"><ul>\n";
    menu_item ( "Home", "admin_welcome.php" );
    menu_item ( "Approve New Links", "admin_approve_links.php" );
	menu_item ( "Category Management", "admin_category_list.php" );
	menu_item ( "Build Entire Directory", "admin_build_all.php" );
    menu_item ( "Administrator Details", "admin_user.php" );
    menu_item ( "System Setup", "admin_system.php" );
	menu_item ( "Log Out", "logout.php" );
    echo "</ul></td></tr>\n";
    echo "</table>\n";
    echo "</td>\n";
    }


function print_message ( $heading, $message )
    { 
    global $page, $cplink_version;
    admin_page_header();

    //Start the main boy table
    echo "<table width=\"100%\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" bgcolor=\"#FFFFFF\">\n";
    echo "<tr>\n";
    admin_side_menu();
    echo "<td valign=\"top\" height=\"300\">\n";

    breadcrumbs( $page );

    echo "<table width=\"90%\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" bgcolor=\"#FFFFFF\" align=\"center\">\n";
    echo "<tr>\n";
    echo "<td class=\"tbody\"><br><b>$heading</b><br><br>$message</td>\n";
    echo "</tr>\n";
    echo "</table>\n";
    echo "</td>\n";
    //complete the main body table
    echo "</tr>\n";
    echo "</table>\n";

	admin_page_footer( $cplinks_version );
	}


function strip_slashes ( $var ) 
    { 
    if ( get_magic_quotes_gpc() ) 
        {    
        $var = htmlentities ( stripslashes ( $var ) ); 
        }
    
    return $var;
    }       
?>