<?php
//
// +----------------------------------------------------------------------+
// | cpLinks - Dynamic Links Engine
// | http://www.cplinks.com
// | Full licence details can be found at http://www.cplinks.com 
// +----------------------------------------------------------------------+
// | Copyright (c) 2004 Media Netrix Limited  - http://www.medianetrix.com
// +----------------------------------------------------------------------+
// | THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESSED OR IMPLIED WARRANTIES,
// | INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
// | AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL
// | MEDIA NETRIX LIMITED OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
// | INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
// | BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
// | USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
// | ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
// | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
// | THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
// | 
// | THE PROGRAM MAY NOT BE SOLD OR RE-SOLD WITHOUT THE EXPLICIT AND WRITTEN 
// | PERMISSION OF MEDIA NETRIX LIMITED.
// |
// | MODIFIED PROGRAM CODES MAY NOT BE PUBLICISED, DISTRIBUTED OR SOLD IN ANY MANNER. 
// +----------------------------------------------------------------------+
// | admin_link_list.php version history:
// | version 1.0 01/06/2004
// | version 1.03 26/10/2004
// +----------------------------------------------------------------------+
//
// Ensure that the user is logged in
session_start();
if ( $_SESSION['logged_in'] != "true" )
    {
    header ( "location: index.php" );
    exit;
    }

function show_row ( $id, $title, $url, $description )
	{
	global $bgcolour;
	echo "<tr bgcolor=\"" . $bgcolour . "\">\n";
	echo "<td class=\"tbody\"><a href=\"" . $url . "\" target=\"_blank\">" . $title . "</a><br>\n";
	echo $description;
	echo "<br><a href=\"admin_edit_link.php?id=" . $id . "&amp;type=manage\"><img src=\"images/pencil.gif\" alt=\"Edit this link\" border=\"0\"></a>&nbsp;&nbsp;Edit this link &nbsp;|&nbsp;<a href=\"admin_delete_link.php?type=manage&amp;id=" . $id . "\"><img src=\"images/cross.gif\" alt=\"Delete this link\" border=\"0\"></a> Delete this link</td>\n";
	echo "</tr>\n";
	}


require ( "../config.php" );
require ( "admin_common.php" );
require ( "../includes/mysql.php" );
require ( "../global_config.php" );
require ( "admin_interface.php" );

$page			= "link_list";
$category		= $_GET['cat'];
$sub_category	= $_GET['sub_cat'];

$query	= "SELECT * FROM mnl_links
			WHERE category='$category'
			AND sub_category='$sub_category'";

$result = $db->get_results ( $query );

if ( $db->num_rows == 0 )
    {
    print_message ( "No links could be found", "<a href=\"admin_add_link.php?category=" . $category . "&amp;sub_category=" . $sub_category . "\"><img src=\"images/add.gif\"  align=\"middle\" alt=\"Add a new link\" border=\"0\"></a>&nbsp;Add a new link for " . str_replace ( "_", " ", $category ) . "&nbsp;>&nbsp;" . str_replace ( "_", " ", $sub_category ) );
    die;
    }

admin_page_header();

//Start the main body table
echo "<table width=\"100%\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" bgcolor=\"#FFFFFF\">\n";
echo "<tr>\n";

admin_side_menu();

echo "<td valign=\"top\">\n";

breadcrumbs( $page );

echo "<table width=\"90%\" border=\"0\" cellpadding=\"5\" cellspacing=\"1\" bgcolor=\"#555555\" align=\"center\">\n";
echo "<tr bgcolor=\"#EEEEEE\">\n";
echo "<td class=\"tbody\" align=\"center\"><b>LINK MANAGEMENT FOR " . strtoupper ( str_replace ( "_", " ", $category ) ) . "&nbsp;>&nbsp;" . strtoupper ( str_replace ( "_", " ", $sub_category ) ) . "</b></td>\n";
echo "</tr>\n";

$plural = "s";
if ( $db->num_rows == 1 )
	{
	$plural = "";
	}

$hint = " (Use Ctrl F in your browser to find a link)";
if ( $db->num_rows < 20 )
	{
	$hint = "";
	}

echo "<tr bgcolor=\"#FFFFCC\">\n";
echo "<td class=\"tbody\" align=\"center\"><b>You have " . $db->num_rows . " link" . $plural . " in this category</b>" . $hint . "</td>\n";
echo "</tr>\n";

$bgcolour = "#FFFFFF";

echo "<tr bgcolor=\"" . $bgcolour . "\">\n";
echo "<td class=\"tbody\" colspan=\"2\"><a href=\"admin_add_link.php?category=" . $category . "&amp;sub_category=" . $sub_category . "\"><img src=\"images/add.gif\"  align=\"middle\" alt=\"Add a new link\" border=\"0\"></a>&nbsp;Add a new link for " . str_replace ( "_", " ", $category ) . "&nbsp;>&nbsp;" . str_replace ( "_", " ", $sub_category ) . "</td>\n";
echo "</tr>\n";

foreach ( $result as $val )
    {
	show_row ( $val->id, $val->title, $val->url, $val->description );
	}

echo "</table>\n";
echo "</td>\n";

//complete the main body table
echo "</tr>\n";
echo "</table>\n";

admin_page_footer( $cplinks_version );
?>