<?php
//
// +----------------------------------------------------------------------+
// | cpLinks - Links Engine
// | http://www.webresourceindex.com
// | Full licence details can be found at http://www.webresourceindex.com 
// +----------------------------------------------------------------------+
// | Copyright (c) 2004 Media Netrix Limited  - http://www.medianetrix.com
// +----------------------------------------------------------------------+
// | THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESSED OR IMPLIED WARRANTIES,
// | INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
// | AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL
// | MEDIA NETRIX LIMITED OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
// | INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
// | BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
// | USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
// | ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
// | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
// | THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
// | 
// | THE PROGRAM MAY NOT BE SOLD OR RE-SOLD WITHOUT THE EXPLICIT AND WRITTEN 
// | PERMISSION OF MEDIA NETRIX LIMITED.
// |
// | MODIFIED PROGRAM CODES MAY NOT BE PUBLICISED, DISTRIBUTED OR SOLD IN ANY MANNER. 
// +----------------------------------------------------------------------+
// | admin_welcome.php version history:
// | version 1.0 01/06/2004
// +----------------------------------------------------------------------+
//

// Ensure that the user is logged in
session_start();
if ( $_SESSION['logged_in'] != "true" )
    {
    header ( "location: index.php" );
    exit;
    }

require ( "../config.php" );
require ( "admin_common.php" );
require ( "../includes/mysql.php" );
require ( "../global_config.php" );
require ( "admin_interface.php" );
require ( "admin_validate_form.php" );

$page			= "welcome";
$bgcolour		= "#FFFFFF";
$column1_width	= "70%";
$column2_width	= "30%";

admin_page_header();

//Start the main body table
echo "<table width=\"100%\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" bgcolor=\"#FFFFFF\">\n";
echo "<tr>\n";

admin_side_menu();

echo "<td valign=\"top\" height=\"300\">\n";

breadcrumbs( $page );

echo "<table width=\"90%\" border=\"0\" cellpadding=\"5\" cellspacing=\"1\" bgcolor=\"#555555\" align=\"center\">\n";
echo "<tr bgcolor=\"#EEEEEE\">\n";
echo "<td class=\"tbody\" colspan=\"2\" align=\"center\"><b>STATISTICS FOR " . strtoupper ( $CONFIG_VAR['website_name'] ) . "</b></td>\n";
echo "</tr>\n";

//Find the number of categories
$query = "SELECT DISTINCT category
			FROM mnl_categories
			WHERE approved = 'yes'";
$db->query ( $query );
$num_cats = $db->num_rows;
display_text( $bgcolour, $column1_width, $column2_width, "Number of Approved Categories", $num_cats );

//Find the number of approved sub categories
$query = "SELECT COUNT( category ) 
			FROM `mnl_categories`
			WHERE approved = 'yes'";
$num_sub_cats = $db->get_var ( $query );
display_text( $bgcolour, $column1_width, $column2_width, "Number of Approved Sub Categories", $num_sub_cats );

//Find the number of approved links
$query = "SELECT COUNT( id ) 
			FROM `mnl_links`
			WHERE approved = 'yes'";
$num_sub_cats = $db->get_var ( $query );
display_text( $bgcolour, $column1_width, $column2_width, "Number of Approved Links", $num_sub_cats );
echo "</table>\n";

//complete the main body table
echo "</td>\n";
echo "</tr>\n";
echo "</table>\n";

admin_page_footer( $cplinks_version );
?>