<?php
//
// +----------------------------------------------------------------------+
// | cpLinks - Links Engine
// | http://www.webresourceindex.com
// | Full licence details can be found at http://www.webresourceindex.com 
// +----------------------------------------------------------------------+
// | Copyright (c) 2004 Media Netrix Limited  - http://www.medianetrix.com
// +----------------------------------------------------------------------+
// | THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESSED OR IMPLIED WARRANTIES,
// | INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
// | AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL
// | MEDIA NETRIX LIMITED OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
// | INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
// | BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
// | USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
// | ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
// | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
// | THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
// | 
// | THE PROGRAM MAY NOT BE SOLD OR RE-SOLD WITHOUT THE EXPLICIT AND WRITTEN 
// | PERMISSION OF MEDIA NETRIX LIMITED.
// |
// | MODIFIED PROGRAM CODES MAY NOT BE PUBLICISED, DISTRIBUTED OR SOLD IN ANY MANNER. 
// +----------------------------------------------------------------------+
// | search.php version history:
// | version 1.0 01/06/2004
// +-----------------------------------------------------------------------+
// |
// | Should you require bespoke modifications to cpLinks, please contact us at
// | cplinks@medianetrix.com
// |
// +========================================================================+

function show_row ( $title, $url, $description, $category, $sub_category )
	{
	global $url_font_colour;

	echo "<tr>\n";
	echo "<td class=\"mnllinklist\"><a href=\"" . $url . "\" target=\"_blank\" class=\"mnllinklist\">" . $title . "</a><br>";
	echo $description;
	echo "<br><span class=\"mnlsearchcategory\">(" . $category . " > " . $sub_category . ")</span></td>\n";
	echo "</tr>\n";
	}
require ( "version.php" );
require ( "config.php" );
require ( "global_config.php" );
require ( "includes/mysql.php" );
require ( "static_generator/common.php" );

$search_text		= $_POST['search_text'];
$search_category	= $_POST['search_category'];

global $db;
$type = "index";

$query = "SELECT 
			category,
			sub_category,
			title,
			url,
			description,
			status
			FROM mnl_links
			WHERE category='$search_category'
			AND description LIKE '%$search_text%'
			AND approved='yes'
			ORDER BY status, rec_timestamp";

$results	= $db->get_results ( $query );
$num_rows	= $db->num_rows;

$title			= $CONFIG_VAR['website_name'] . " : Search Results";
$keywords		= "";
$description	= "";

//This creates the page header
require ( "templates/mnl_page_header.php" );

// This creates the start of the main body table
echo "<!-- Start of main body table -->\n\n";

echo "<table width=\"" . $CONFIG_VAR['body_width_value'] . "\" align=\"" . $CONFIG_VAR['main_body_align'] . "\" cellspacing=\"0\" border=\"0\" cellpadding=\"0\" bgcolor=\"#" . $CONFIG_VAR['main_body_colour'] . "\">\n";
echo "<tr>\n";

//This creates the left hand column	
require ( "templates/mnl_left_hand_column.php" );

// This creates the middle table
echo "<!-- Start of middle column -->\n\n";
echo "<td valign=\"top\">\n";


echo "<table width=\"100%\" border=\"0\" cellpadding=\"3\" cellspacing=\"0\" align=\"center\" bgcolor=\"" . $hilight_block_bgcolour . "\">\n";
echo "<tr>\n";

$plural = "s";
if ( $num_rows == 1 )
	{
	$plural = "";
	}

echo "<td class=\"mnlbreadcrumbs\"><a href=\"index.html\">Home</a> >> Search results for \"" . $search_text . "\" in the " . strtolower ( $search_category ) . " category - " . $num_rows . " link" . $plural . " found</td>\n";
echo "</tr>\n";
echo "</table>\n";
echo "<br>\n";

echo "<table width=\"100%\" border=\"0\" cellpadding=\"5\" cellspacing=\"0\">\n";

if ( $num_rows == 0 )
	{
	echo "<tr><td align=\"center\" class=\"tbody\">You searched for " . $search_text . " - No links could be found</td></tr>\n";
	}
else
	{
	foreach ( $results as $val )
		{
		$category_name		= str_replace ( "_", " ", $val->category ); 

		if ( $category_name != "eCommerce" )
			{
			$category_name = ucwords ( $category_name );
			}

		$sub_category_name		= ucwords ( str_replace ( "_", " ", $val->sub_category ) );

		show_row ( $val->title, $val->url, $val->description, $category_name, $sub_category_name  );
		}
	}

echo "</table>\n";

//This creates the search form
search_form ( "index" );

//This creates the main menu along the bottom of the main column
navigation( "index", "", "" );

echo "</td>\n";
echo "<!-- End of the middle_column -->\n\n";

// This creates the right hand menu column
require ( "templates/mnl_right_hand_column.php" );


// This ends the main body table
echo "</tr>\n";
echo "</table>\n";

//This creates the page footer
require ( "templates/mnl_page_footer.php" );
?>