<?php
//
// +----------------------------------------------------------------------+
// | cpLinks - Links Engine
// | http://www.cplinks.com
// | Full licence details can be found at http://www.cplinks.com 
// +----------------------------------------------------------------------+
// | Copyright (c) 2004 Media Netrix Limited  - http://www.medianetrix.com
// +----------------------------------------------------------------------+
// | THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESSED OR IMPLIED WARRANTIES,
// | INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
// | AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL
// | MEDIA NETRIX LIMITED OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
// | INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
// | BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
// | USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
// | ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
// | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
// | THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
// | 
// | THE PROGRAM MAY NOT BE SOLD OR RE-SOLD WITHOUT THE EXPLICIT AND WRITTEN 
// | PERMISSION OF MEDIA NETRIX LIMITED.
// |
// | MODIFIED PROGRAM CODES MAY NOT BE PUBLICISED, DISTRIBUTED OR SOLD IN ANY MANNER. 
// +----------------------------------------------------------------------+
// | common.php version history:
// | version 1.0 01/06/2004
// | version 1.03 27/10/2004
// +----------------------------------------------------------------------+
//

function search_form( $location )	
	{
	global $db;
	
	$query = "SELECT DISTINCT 
			category 
			FROM mnl_categories
			WHERE approved='yes'
			ORDER BY category";
	$result	= $db->get_results ( $query );
	if ( $db->num_rows == 0 )
		{
		return false;
		}

	$search = "search.php";
	if ( $location == "sub" )
		{
		$search = "../" . $search; 
		}

	echo "<!-- Start of the search form -->\n\n";
	echo "<br>\n";
	echo "<table width=\"100%\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" align=\"center\">\n";
	echo "<tr>\n";
	echo "<td height=\"30\" align=\"center\" class=\"tbody\">\n";
	echo "<form method=\"post\" action=\"" . $search . "\" style=\"display: inline;\">\n";

	echo "&nbsp;&nbsp;Search&nbsp;<input type=\"text\" size=\"15\" name=\"search_text\"  class=\"forms\">&nbsp;\n";
	echo "<select name=\"search_category\" class=\"forms\">\n";
	foreach ( $result as $val )
		{
		echo "<option value=\"" . $val->category . "\">" . str_replace ( "_", " ", $val->category ) . "</option>\n";		
		}
	echo "</select>&nbsp;\n";
	echo "<input type=\"submit\" name=\"Submit\" value=\"Search\" class=\"buttons\">\n";
	echo "</form>";
	echo "</td>\n";
	echo "</tr>\n";
	echo "</table>\n";
	echo "<!-- End of the search form -->\n\n";
	}

function navigation_item ( $text, $url, $create_space )
	{

	echo "[&nbsp;<a href=\"" . $url . "\">" . $text . "</a>&nbsp;]";
	if ( $create_space )
		{
		echo "&nbsp;";
		}
	}


function navigation( $type, $category, $sub_category )
	{
	global $cplinks_version, $CONFIG_VAR;

	switch ( $type )
		{
		case "index":
			$submit     = "Suggest A Category";
			$submit_url	= "suggest_cat.php";
			$url		= "";
			break;

		case "sub":
			$submit     = "Suggest A Sub Category";
			$submit_url	= "../suggest_sub_cat.php?cat=" . $category;
			$url		= "../";
			break;

		case "link":
			$submit     = "Submit A Link";
			$submit_url	= "../suggest_link.php?cat=" . $category . "&amp;sub_cat=" . $sub_category;
			$url		= "../";
			break;
		}

	echo "<br>";
	echo "<table width=\"100%\" border=\"0\" align=\"center\">\n";
	echo "<tr>\n";
	echo "<td align=\"center\" class=\"mnlmainmenu\">";
	navigation_item ( "Links Home", $url . "index.html", true );
	if ( $type == "link" )
		{
		navigation_item ( "Submit A Link", $submit_url, false );		
		}
	else
		{
		if ( $CONFIG_VAR['suggest_category'] == "yes" )
			{
			navigation_item ( $submit, $submit_url, true );
			}
		navigation_item ( "Submit A Link", $url . "suggest_link.php", false );		
		}
	echo "</td>\n";
	echo "</tr>\n";
	// It is a condition of the licence that the following copyright notice and links are retained
    echo "<tr><td align=\"center\"><font face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"1\" color=\"#555555\"><br><br>Powered by <a style=\"text-decoration: none\" target=_blank href=\"http://www.cplinks.com\">cpLinks</a>&nbsp;($cplinks_version) &copy; 2004 <a style=\"text-decoration: none\" target=_blank href=\"http://www.medianetrix.com\">Media Netrix Limited</a><br><br></font></td></tr>\n";
	echo "</table>\n";		
	}


function create_page_header ( $text, $column_width )
	{
	echo "<table border=\"0\" width=\"$column_width\" cellpadding=\"3\" cellspacing=\"1\" align=\"center\">";
	echo "<tr>";
	echo "<td><h1>$text</h1></td>\n";
	echo "</tr>\n";
	echo "</table>\n";	
	}


function show_message ( $heading, $text )
	{
	global $CONFIG_VAR;

	echo "<table border=\"0\" width=\"90%\" cellpadding=\"5\" cellspacing=\"1\" align=\"center\" bgcolor=\"" . $CONFIG_VAR['msg_line_colour'] . "\">\n";
	echo "<tr bgcolor=\"" . $CONFIG_VAR['msg_bgcolour'] . "\">\n";
	echo "<td align=\"center\" class=\"tbody\"><b>$heading</b></td>\n";
	echo "</tr>\n";
	echo "<tr bgcolor=\"" . $CONFIG_VAR['msg_bgcolour'] . "\">\n";
	echo "<td align=\"center\" class=\"tbody\">$text</td>\n";
	echo "</tr>\n";
	echo "</table>\n";
	echo "<p>&nbsp;</p>\n";

	//This creates the search form
	search_form ( "index" );

	//This creates the main menu along the bottom of the main column
	navigation( "index", "", "" );

	echo "</td>\n";
	echo "<!-- End of the middle_column -->\n\n";

	// This creates the right hand menu column
	require ( "templates/mnl_right_hand_column.php" );

	// This ends the main body table
	echo "</tr>\n";
	echo "</table>\n";

	//This creates the page footer
	require ( "templates/mnl_page_footer.php" );
	}


function check_field ( $value, $field_name, $min_length, $max_length )
    {
    if ( !empty( $value ) )
	    {
        if ( strlen ( $value ) < $min_length or strlen ( $value ) > $max_length )
            {
            $error_message = $field_name . " must be longer than " . $min_length . " and shorter than " . $max_length . " characters long";
            return array('error' => true, 'error_msg' => $error_message );
            }
        else
            {
		    // check for html characters
            if ( !search_for_html ( $value ) )
                {
    			$error_message = "You cannot use HTML code in the " . $field_name . " field";
                return array('error' => true, 'error_msg' => $error_message );
                }
            else
                {
                return array('error' => false, 'error_msg' => '');
                }               
            }
        }
    $error_message = $field_name . " is a required field"; 
    return array('error' => true, 'error_msg' => $error_message );
    }


function search_for_html ( $text )
    {
	if ( strstr ( $text, "<" ) )
        {
        return false;
        }

    if ( strstr ( $text, ">" ) )
        {
        return false;
        }
    return true;
    }


function validate_email ( $email ) 
    {
	return ( ereg( '^[-!#$%&\'*+\\./0-9=?A-Z^_`a-z{|}~]+'. '@'. '[-!#$%&\'*+\\/0-9=?A-Z^_`a-z{|}~]+\.' . '[-!#$%&\'*+\\./0-9=?A-Z^_`a-z{|}~]+$', $email ) );
    }

function category_menu ( $width, $location )
	{
	global $db;
	global $line_bgcolour, $block_bgcolour, $url_font_colour;
	
	$query = "SELECT DISTINCT
				category 
				FROM mnl_categories
				WHERE approved='yes'
				ORDER BY category";
	$result = $db->get_results ( $query );
	
	if ( $db->num_rows == 0 )
		{
		return false;
		}

	echo "<table width=\"" . $width . "\" border=\"0\" cellpadding=\"3\" cellspacing=\"0\" bgcolor=\"" . $block_bgcolour . "\">\n";
	foreach ( $result as $val )
		{
		category_item ( $val->category, $location );
		}
	echo "</table>\n";
	echo "<br>\n";
	}


function category_item ( $category, $location )
	{
	$url = "";
	if ( $location == "sub" )
		{
		$url = "../";
		}

	$category_name = str_replace ( "_", " ", $category ); 
	echo "<tr>\n";
	echo "<td width=\"5%\"><img src=\"" . $url . "images/category_bullet.gif\" alt=\"\"></td>\n";
	echo "<td width=\"95%\" class=\"mnlcategorymenu\"><a href=\"" . $url . strtolower ( $category ) . "\">" . $category_name . "</a><br></td>\n";
	echo "</tr>\n";	
	}
?>