<?php
//
// +----------------------------------------------------------------------+
// | cpLinks - Links Engine
// | http://www.webresourceindex.com
// | Full licence details can be found at http://www.webresourceindex.com 
// +----------------------------------------------------------------------+
// | Copyright (c) 2004 Media Netrix Limited  - http://www.medianetrix.com
// +----------------------------------------------------------------------+
// | THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESSED OR IMPLIED WARRANTIES,
// | INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
// | AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL
// | MEDIA NETRIX LIMITED OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
// | INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
// | BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
// | USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
// | ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
// | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
// | THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
// | 
// | THE PROGRAM MAY NOT BE SOLD OR RE-SOLD WITHOUT THE EXPLICIT AND WRITTEN 
// | PERMISSION OF MEDIA NETRIX LIMITED.
// |
// | MODIFIED PROGRAM CODES MAY NOT BE PUBLICISED, DISTRIBUTED OR SOLD IN ANY MANNER. 
// +----------------------------------------------------------------------+
// | admin_category_list.php version history:
// | version 1.0 01/06/2004
// +----------------------------------------------------------------------+
//
// Ensure that the user is logged in
session_start();
if ( $_SESSION['logged_in'] != "true" )
    {
    header ( "location: index.php" );
    exit;
    }


require ( "../config.php" );
require ( "admin_common.php" );
require ( "../includes/mysql.php" );
require ( "../global_config.php" );
require ( "admin_interface.php" );

$page	= "category_list";
$query	= "SELECT * FROM mnl_categories
			ORDER BY category, 
			sub_category";

$result = $db->get_results ( $query );

if ( $db->num_rows == 0 )
    {
    print_message ( "No Category records could be found", "Please click <a href=\"admin_add_category.php\">here</a> to add a new category" );
    die;
    }

admin_page_header();

//Start the main body table
echo "<table width=\"100%\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" bgcolor=\"#FFFFFF\">\n";
echo "<tr>\n";

admin_side_menu();

echo "<td valign=\"top\">\n";

breadcrumbs( $page );

echo "<table width=\"90%\" border=\"0\" cellpadding=\"5\" cellspacing=\"1\" bgcolor=\"#555555\" align=\"center\">\n";
echo "<tr bgcolor=\"#EEEEEE\">\n";
echo "<td class=\"tbody\" align=\"center\"><b>CATEGORY MANAGEMENT</b></td>\n";
echo "</tr>\n";

$bgcolour = "#FFFFFF";
echo "<tr bgcolor=\"$bgcolour\">\n";
echo "<td class=\"tbody\"><a href=\"../static_generator/create_index.php?t=" . time() . "\"><img src=\"images/tick.gif\"  align=\"middle\" title=\"Build the Index Page\" alt=\"\" border=\"0\"></a>&nbsp;|&nbsp;<b>Build the Index Page</b></td>\n";
echo "</tr>\n";    

echo "<tr bgcolor=\"$bgcolour\">\n";
echo "<td class=\"tbody\"><a href=\"admin_add_category.php\"><img src=\"images/add.gif\"  align=\"middle\" title=\"Add a new Category\" alt=\"\" border=\"0\"></a>&nbsp;|&nbsp;<b>Add a new Category</b></td>\n";
echo "</tr>\n";    

foreach ( $result as $val )
    {
    if ( $old_category != $val->category )
        {

        // This prints out the category
        $approved = "";
        if ( $val->approved == "no" )
            {
            $approved = " (Not Approved)";
            }
		
        echo "<tr bgcolor=\"$bgcolour\">\n";
        echo "<td class=\"tbody\" bgcolor=\"#FFFFCC\"><a href=\"../static_generator/create_sub_category.php?build_category=" . $val->category . "&amp;t=" . time() . "\"><img src=\"images/tick.gif\" title=\"Build the pages for this Category\" alt=\"\" border=\"0\"></a>&nbsp;|&nbsp;<a href=\"admin_add_category.php?type=edit&amp;cat_id=" . $val->id . "&amp;t=" . time() . "\"><img src=\"images/pencil.gif\" title=\"Edit this Category\" alt=\"\" border=\"0\"></a>&nbsp;|&nbsp;<a href=\"admin_delete_category.php?cat_id=" . $val->id . "\"><img src=\"images/cross.gif\" align=\"middle\" title=\"Delete this Category\" alt=\"\" border=\"0\"></a>&nbsp;|&nbsp;<a href=\"admin_add_category.php?cat_id=" . $val->id . "&amp;sub=sub\"><img src=\"images/add.gif\"  align=\"middle\" title=\"Add a new " . ucwords ( str_replace ( "_", " ", $val->category ) ) . " Sub Category\" alt=\"\" border=\"0\"></a>&nbsp;|&nbsp;<b>" . ucwords ( str_replace ( "_", " ", $val->category ) ) . " Category" . $approved . "</b></td>\n";
        echo "</tr>\n";
        }        
    if ( $val->sub_category != "" )
        {
        // This prints out the sub category
        $approved = "";
        if ( $val->approved == "no" )
            {
            $approved = " <b>(Not Approved)</b>";
            }

        echo "<tr bgcolor=\"$bgcolour\">\n";
        echo "<td class=\"tbody\"><a href=\"../static_generator/create_pages.php?build_category=" . $val->category . "&amp;build_sub_category=" . $val->sub_category . "&amp;t=" . time() . "\"><img src=\"images/tick.gif\" alt=\"Build the pages for this Sub Category\" border=\"0\"></a>&nbsp;|&nbsp;<a href=\"admin_add_category.php?type=edit&amp;cat_id=" . $val->id . "&amp;sub=sub\"><img src=\"images/pencil.gif\" align=\"middle\" alt=\"Edit this sub category\" border=\"0\"></a>&nbsp;|&nbsp;<a href=\"admin_delete_sub_category.php?cat_id=" . $val->id . "\"><img src=\"images/cross.gif\"  align=\"middle\" alt=\"Delete this sub category\" border=\"0\"></a>&nbsp;|&nbsp;<a href=\"admin_link_list.php?cat=" . $val->category . "&amp;sub_cat=" . $val->sub_category . "\"><img src=\"images/item.gif\" align=\"middle\" alt=\"List links for this sub category\" border=\"0\"></a>&nbsp;|&nbsp;" . ucwords ( str_replace ( "_", " ", $val->category ) ) . "&nbsp;>&nbsp;" . ucwords ( str_replace ( "_", " ", $val->sub_category ) ) . $approved . "</td>\n";
        echo "</tr>\n";
        }
    $old_category = $val->category;
    }
echo "</table>\n";

//echo "</table>\n";
echo "</td>\n";

//complete the main body table
echo "</tr>\n";
echo "</table>\n";

admin_page_footer( $cplinks_version );
?>