<?php
//
// +----------------------------------------------------------------------+
// | cpLinks - Links Engine
// | http://www.webresourceindex.com
// | Full licence details can be found at http://www.webresourceindex.com 
// +----------------------------------------------------------------------+
// | Copyright (c) 2004 Media Netrix Limited  - http://www.medianetrix.com
// +----------------------------------------------------------------------+
// | THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESSED OR IMPLIED WARRANTIES,
// | INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
// | AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL
// | MEDIA NETRIX LIMITED OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
// | INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
// | BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
// | USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
// | ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
// | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
// | THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
// | 
// | THE PROGRAM MAY NOT BE SOLD OR RE-SOLD WITHOUT THE EXPLICIT AND WRITTEN 
// | PERMISSION OF MEDIA NETRIX LIMITED.
// |
// | MODIFIED PROGRAM CODES MAY NOT BE PUBLICISED, DISTRIBUTED OR SOLD IN ANY MANNER. 
// +----------------------------------------------------------------------+
// | admin_delete_link.php version history:
// | version 1.0 01/06/2004
// +----------------------------------------------------------------------+
//

// Ensure that the user is logged in
session_start();
if ( $_SESSION['logged_in'] != "true" )
    {
    header ( "location: index.php" );
    exit;
    }

require ( "../config.php" );
require ( "admin_common.php" );
require ( "../includes/mysql.php" );
require ( "../global_config.php" );
require ( "admin_interface.php" );
require ( "admin_validate_form.php" );

$link_id	= $_GET['id'];
$mode		= $_GET['mode'];
$type		= $_GET['type'];

$page	= "delete_link";
$header = "DELETE THIS LINK";

$page	= "delete_manage_link";
if ( $type == "approve" )
	{
	$page	= "delete_approve_link";
	}


$query	= "SELECT * FROM mnl_links where id='$link_id'";
$result = $db->get_row ( $query );

if ( $db->num_rows == 0 )
	{
	print_message ( "This link could not be found", "" );
	die;
	}

$category		= $result->category;
$sub_category	= $result->sub_category;

if ( $mode == "confirm" )
	{
	$query = "DELETE FROM mnl_links WHERE id='$link_id'";
	$db->query ( $query );
	print_message ( "Link Deleted", "" );
	die;
	}

admin_page_header();

//Start the main body table
echo "<table width=\"100%\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" bgcolor=\"#FFFFFF\">\n";
echo "<tr>\n";

admin_side_menu();

echo "<td valign=\"top\">\n";

breadcrumbs( $page );

echo "<form action=\"admin_delete_link.php?mode=confirm&amp;id=" . $link_id . "&amp;type=" . $type . "\" method=\"post\">";
echo "<table width=\"90%\" border=\"0\" cellpadding=\"5\" cellspacing=\"1\" bgcolor=\"#555555\" align=\"center\">\n";
echo "<tr bgcolor=\"#EEEEEE\">\n";
echo "<td class=\"tbody\" align=\"center\" colspan=\"2\"><b>" . $header . "</b></td>\n";
echo "</tr>\n";

$bgcolour = "#FFFFFF";
$column1_width = "30%";
$column2_width = "70%";
$field_width = "35";

// Display the Category
display_text ( $bgcolour, $column1_width, $column2_width, "Category", str_replace ( "_", " ", $result->category ) . " > " . str_replace ( "_", " ", $result->sub_category ) );

// The link status field
display_text( $bgcolour, $column1_width, $column2_width, "Status", $result->status );

// The link title field
display_text( $bgcolour, $column1_width, $column2_width, "Title", $result->title );

// The link description field
display_text( $bgcolour, $column1_width, $column2_width, "Description", $result->description );

// The link URL field
display_text( $bgcolour, $column1_width, $column2_width, "Web Site URL", $result->url );

// The link date added field
display_text( $bgcolour, $column1_width, $column2_width, "Date Entered", $result->date_added );

echo "<tr bgcolor=\"$bgcolour\">\n";
echo "<td class=\"tbody\" colspan=\"2\" align=\"center\"><input type=\"submit\" value=\"Delete this link\"></td>\n";
echo "</tr>\n";
echo "</table>\n";
echo "</form>\n";

echo "</td>\n";

//complete the main body table
echo "</tr>\n";
echo "</table>\n";

admin_page_footer( $cplinks_version );
?>