<?php
//
// +----------------------------------------------------------------------+
// | cpLinks - Links Engine
// | http://www.webresourceindex.com
// | Full licence details can be found at http://www.webresourceindex.com 
// +----------------------------------------------------------------------+
// | Copyright (c) 2004 Media Netrix Limited  - http://www.medianetrix.com
// +----------------------------------------------------------------------+
// | THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESSED OR IMPLIED WARRANTIES,
// | INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
// | AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL
// | MEDIA NETRIX LIMITED OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
// | INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
// | BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
// | USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
// | ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
// | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
// | THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
// | 
// | THE PROGRAM MAY NOT BE SOLD OR RE-SOLD WITHOUT THE EXPLICIT AND WRITTEN 
// | PERMISSION OF MEDIA NETRIX LIMITED.
// |
// | MODIFIED PROGRAM CODES MAY NOT BE PUBLICISED, DISTRIBUTED OR SOLD IN ANY MANNER. 
// +----------------------------------------------------------------------+
// | admin_delete_sub_category.php version history:
// | version 1.0 01/06/2004
// +----------------------------------------------------------------------+
//

// Ensure that the user is logged in
session_start();
if ( $_SESSION['logged_in'] != "true" )
    {
    header ( "location: index.php" );
    exit;
    }

require ( "../config.php" );
require ( "admin_common.php" );
require ( "../includes/mysql.php" );
require ( "../global_config.php" );
require ( "admin_interface.php" );
require ( "admin_validate_form.php" );

///////////////////// start of functions ////////////////////////////////////

function show_row ( $text, $value, $bgcolour )
	{
	echo "<tr bgcolor=\"" . $bgcolour . ">\n";
	echo "<td class=\"tbody\">" . $text . "</td>\n";
	echo "<td class=\"tbody\">" . $value . "</td>\n";	
	echo "</tr>\n";
	}

///////////////////// end of functions ////////////////////////////////////

// Ensure that the user is logged in
session_start();
if ( $_SESSION['logged_in'] != "true" )
    {
    header ( "location: index.php" );
    exit;
    }

global $db;
$mode   = $_GET['mode'];
$cat_id = $_GET['cat_id'];

$page		= "delete_sub_category";

$query = "SELECT * 
			FROM mnl_categories 
			WHERE id='$cat_id'";
$result			= $db->get_row ( $query );
$category		= $result->category;
$sub_category	= $result->sub_category;

if ( $db->num_rows == 0 )
	{
	print_message ( "This sub category could not be found", "" );
	die;	
	}

if ( $mode == "confirm" )
	{
	// delete this record from the categories table
	$query = "DELETE FROM mnl_categories
				WHERE id='$cat_id'";
	$db->query ( $query );

	// delete this record from the links table
	$query = "DELETE FROM mnl_links
				WHERE sub_category='$sub_category'";
	$db->query ( $query );

	print_message ( "This sub category has been deleted", "This sub category and all its dependent links have been removed from your database.<br><br>If you have built and published this sub category, you will still have a page called <b>" . $sub_category . ".html</b> in the " . $category . " directory. You should manually delete the <b>" . $sub_category . ".html</b> page." );
	die;	
	}


$button_text = "Delete this Sub Category";
$heading = "<b>DELETE THIS SUB CATEGORY</b>";

admin_page_header();

//Start the main boy table
echo "<table width=\"100%\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" bgcolor=\"#FFFFFF\">\n";
echo "<tr>\n";

admin_side_menu();

echo "<td valign=\"top\">\n";

breadcrumbs( $page );
$bgcolour = "#FFFFFF";
$column1_width = "30%";
$column2_width = "70%";
$field_width = "35";

// error found - display the error message here
if ( $form_check[error_msg] != "") 
    {
    echo $form_check[error_msg] . "<br>\n";
    }

echo "<form method=\"post\" action=\"admin_delete_sub_category.php?mode=confirm&amp;cat_id=" . $cat_id . "\">\n";
echo "<table width=\"90%\" border=\"0\" cellpadding=\"5\" cellspacing=\"1\" bgcolor=\"#555555\" align=\"center\">\n";
echo "<tr bgcolor=\"#EEEEEE\">\n";
echo "<td class=\"tbody\" colspan=\"2\" align=\"center\">$heading</td>\n";
echo "</tr>\n";

// The category name field
display_text ( $bgcolour, $column1_width, $column2_width, "Category", str_replace ( "_", " ", $category ) );

$query = "SELECT * 
		FROM mnl_links
		WHERE category='$category'
		AND sub_category='$sub_category'";
$result = $db->get_results ( $query );
if ( $db->num_rows == 0 )
	{
	echo "<tr bgcolor=\"$bgcolour\">\n";
	echo "<td colspan=\"2\" class=\"tbody\" align=\"left\">There are no links for this sub category so it is safe to delete this record.</td>\n";
	echo "</tr>\n";
	}
else
	{

	$text = "There are " . $db->num_rows . " links";
	if ( $db->num_rows == 1 )
		{
		$text = "There is 1 link"; 
		}
	echo "<tr bgcolor=\"" . $bgcolour . "\">\n";
	echo "<td class=\"tbody\" valign=\"top\" colspan=\"2\">" . $text . " for this sub category.</td>\n";
	echo "</tr>\n";
	
	echo "<tr bgcolor=\"#FFFFCC\">\n";
	echo "<td class=\"tbody\" colspan=\"2\">Deleting this sub category will result in the irretrievable loss of these links.</td>\n";
	echo "</tr>";
	}


echo "<tr bgcolor=\"$bgcolour\">\n";
echo "<td colspan=\"2\" class=\"tbody\" align=\"center\">\n";
echo "<input type=\"submit\" class=\"formelement\" name=\"Submit\" value=\"$button_text\">\n";
echo "</td>\n";
echo "</tr>\n";
echo "</table>\n";

echo "</form>\n";
echo "</td>\n";

//complete the main body table
echo "</tr>\n";
echo "</table>\n";

admin_page_footer( $cplinks_version );
?>