<?php
//
// +----------------------------------------------------------------------+
// | cpLinks - Links Engine
// | http://www.webresourceindex.com
// | Full licence details can be found at http://www.webresourceindex.com 
// +----------------------------------------------------------------------+
// | Copyright (c) 2004 Media Netrix Limited  - http://www.medianetrix.com
// +----------------------------------------------------------------------+
// | THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESSED OR IMPLIED WARRANTIES,
// | INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
// | AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL
// | MEDIA NETRIX LIMITED OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
// | INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
// | BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
// | USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
// | ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
// | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
// | THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
// | 
// | THE PROGRAM MAY NOT BE SOLD OR RE-SOLD WITHOUT THE EXPLICIT AND WRITTEN 
// | PERMISSION OF MEDIA NETRIX LIMITED.
// |
// | MODIFIED PROGRAM CODES MAY NOT BE PUBLICISED, DISTRIBUTED OR SOLD IN ANY MANNER. 
// +----------------------------------------------------------------------+
// | index.php version history:
// | version 1.0 01/06/2004
// +----------------------------------------------------------------------+
//

////////////////////////////////// Start of functions ///////////////////////////

function user_set_tokens() 
    {
    session_start();
    $_SESSION['logged_in'] = "true";
    }


function user_login( $admin_username, $password ) 
    {
	global $feedback;
    global $db;

	if ( !$admin_username || !$password ) 
        {
        return array('error' => true, 'error_msg' => "Incorrect Username or Password" );
        } 
    
    $password = md5 ( strtolower ( $password ) );
    
    $query = "SELECT admin_username FROM mnl_admin WHERE admin_username='$admin_username' AND admin_password= '$password'";
    $user = $db->get_row( $query );
    if ( $db->num_rows < 1 )
        {
        return array('error' => true, 'error_msg' => "User not found or Password incorrect" );
        } 

    user_set_tokens();
    return array('error' => false, 'error_msg' => "" );
	}

////////////////////////////////// End of functions ///////////////////////////

require ( "../config.php" );
require ( "../includes/mysql.php" );

//Do not show the login form if the admin session exists 
session_start();
if ( $_SESSION['logged_in'] == "true" )
    {
    header ( "location: admin_welcome.php" );
    exit;
    }

$mode = $_GET['mode'];

if ( $mode == "confirm" ) 
    $admin_username	= $_POST['admin_username'];
    $password		= $_POST['password'];
    {
	$result = user_login( $admin_username, $password );
    if ( $result['error'] == false )
        {
        header ( "location: admin_welcome.php" );
        exit;
        }
    }

require ( "admin_common.php" );
require ( "../global_config.php" );
require ( "admin_interface.php" );
require ( "admin_validate_form.php" );

$bgcolour = MAIN_COLOUR;

$header = "LOG IN HERE";

if ( $mode == "confirm" ) 
    $admin_username = $_POST['admin_username'];
    $password		= $_POST['password'];
    {
	$result = user_login( $admin_username, $password );
    if ( $result['error'] == false )
        {
        header ( "location: admin_welcome.php" );
        exit;
        }
    }

admin_page_header();
echo "<p>&nbsp;</p>\n";
echo "<p>&nbsp;</p>\n";
echo "<form action=\"index.php?mode=confirm\" method=\"post\">";
echo "<table width=\"50%\" border=\"0\" cellpadding=\"5\" cellspacing=\"1\" bgcolor=\"#555555\" align=\"center\">\n";
echo "<tr bgcolor=\"$bgcolour\">\n";
echo "<td class=\"tbody\" colspan=\"2\" align=\"center\"><b>" . $header . "</b></td>\n";
echo "</tr>\n";

$bgcolour = "#FFFFFF";
$column1_width = "30%";
$column2_width = "70%";
$field_width = "35";

// The username
text_input( $bgcolour, "text", $column1_width, $column2_width, "<b>User name</b>", "admin_username", "", $field_width );

// The password
text_input( $bgcolour, "Password", $column1_width, $column2_width, "<b>Password</b>", "password", "", $field_width );

echo "<tr bgcolor=\"$bgcolour\">\n";
echo "<td class=\"tbody\" colspan=\"2\" align=\"center\"><input type=\"submit\" value=\"Log In\"></td>\n";
echo "</tr>\n";
echo "</table>\n";
echo "</form>\n";

admin_page_footer( $cplinks_version );
?>