<?php
require ( "config.php" );
require ( "includes/mysql.php" );
global $db;
$show_button = true;

$message = "This script installs your cpLinks database..<br><br>It expects you to have unpacked the contents of the distribution zip file and to have transferred all the files to your web server, as described in the installation instuctions.";


if ( $_GET['mode'] == "confirm" )
    {
	print "Creating the mnl_links table<br>";
	$query = "CREATE TABLE `mnl_links` (
  `id` int(11) NOT NULL auto_increment,
  `category` varchar(100) NOT NULL default '',
  `sub_category` varchar(100) NOT NULL default '',
  `title` varchar(100) NOT NULL default '',
  `url` varchar(100) NOT NULL default '',
  `description` varchar(250) NOT NULL default '',
  `email` varchar(100) default NULL,
  `return_url` varchar(100) default NULL,
  `date_added` varchar(20) default NULL,
  `rec_timestamp` varchar(20) default NULL,
  `status` varchar(20) NOT NULL default 'regular',
  `approved` char(3) NOT NULL default 'no',
	PRIMARY KEY  (`id`)
	) TYPE=MyISAM;";

	$db->query( $query );

    print "Creating the mnl_links table<br>";
	$query = "CREATE TABLE `mnl_categories` (
  `id` smallint(6) NOT NULL auto_increment,
  `category` varchar(100) NOT NULL default '',
  `sub_category` varchar(100) default NULL,
  `email` varchar(100) default NULL,
  `date_added` varchar(20) default NULL,
  `approved` char(3) NOT NULL default 'no',
	PRIMARY KEY  (`id`),
	KEY `category` (`category`,`sub_category`)
	) TYPE=MyISAM;";

    $db->query( $query );

    print "Creating the mnl_admin table<br>";
	$query = "CREATE TABLE `mnl_admin` (
  `id` tinyint(4) NOT NULL auto_increment,
  `admin_username` varchar(50) NOT NULL default '',
  `admin_password` varchar(50) NOT NULL default '',
	PRIMARY KEY  (`id`)
	) TYPE=MyISAM;";
  
    $db->query( $query );
	
	$query = "INSERT INTO `mnl_admin` VALUES (1, 'admin', '5f4dcc3b5aa765d61d8327deb882cf99');";
	$db->query( $query );
    print ".....done<br>";

    $message = "Thank you.  Your database has now been installed.<br><br><font color=\"red\"><b>IMPORTANT: You MUST now delete this script.</b></font>";
    $show_button = false;
    }
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>cpLinks v1.01 Installation</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
</head>

<body>
<p>&nbsp;</p>
<form name="form1" id="form1" method="post" action="install.php?mode=confirm">
  <table width="400" border="0" align="center" cellpadding="5" cellspacing="1" bgcolor="#555555">
    <tr bgcolor="#EEEEEE"> 
      <td align="center"><font face="Arial, Helvetica, sans-serif"><strong>cpLinks v1.01 INSTALLATION</strong></font></td>
    </tr>
    <tr bgcolor="#EEEEEE"> 
      <td><font size="2" face="Arial, Helvetica, sans-serif"><?php echo $message ?></font><br><br></td>
    </tr>
    <tr bgcolor="#EEEEEE"> 
      <td><label for="Submit"></label>
        <div align="center">
          <?php 
            if ( $show_button == true )
                {
                echo " <input type=\"submit\" name=\"Submit\" value=\"Proceed\" id=\"Submit\" />";
                }
            else
                {
                echo "&nbsp;";
                }
            ?>
        </div></td>
    </tr>
  </table>
</form>
</body>
</html>