<?php
//
// +----------------------------------------------------------------------+
// | cpLinks - Links Engine
// | http://www.cplinks.com
// | Full licence details can be found at http://www.cplinks.com 
// +----------------------------------------------------------------------+
// | Copyright (c) 2004 Media Netrix Limited  - http://www.medianetrix.com
// +----------------------------------------------------------------------+
// | THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESSED OR IMPLIED WARRANTIES,
// | INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
// | AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL
// | MEDIA NETRIX LIMITED OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
// | INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
// | BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
// | USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
// | ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
// | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
// | THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
// | 
// | THE PROGRAM MAY NOT BE SOLD OR RE-SOLD WITHOUT THE EXPLICIT AND WRITTEN 
// | PERMISSION OF MEDIA NETRIX LIMITED.
// |
// | MODIFIED PROGRAM CODES MAY NOT BE PUBLICISED, DISTRIBUTED OR SOLD IN ANY MANNER. 
// +----------------------------------------------------------------------+
// | build_all.php version history:
// | version 1.0 01/06/2004
// | version 1.03 27/10/2004
// +----------------------------------------------------------------------+
//

session_start();
if ( $_SESSION['logged_in'] != "true" )
    {
    print "Log in as admin";
    exit;
    }

require ( "../config.php");
require ( "../global_config.php");
require ( "../version.php");
require ( "../includes/mysql.php" );
require ( "common.php");
require ( "build_common.php");

global $db;

//Building the categories
$query = "SELECT DISTINCT
			category 
			FROM mnl_categories
			WHERE approved='yes'";

if ( $build_category != "" )
	{
	$query .= " AND category='$build_category'";
	}

$result = $db->get_results ( $query );
if ( $db->num_rows == 0 )
	{
	print "<b>No categories were found</b><br>";
	}
else
	{
	foreach ( $result as $val )
		{
		create_sub_category_page( $val->category, true );
		}

	echo "Directories created<br>";
	//  Create a 5 second pause to reduce server load spiking
	echo "script pause....<br>";
	sleep ( 5 );
	}


// Building the link pages

$query = "SELECT category,
			sub_category
			FROM mnl_categories
			WHERE approved='yes'";

$result = $db->get_results ( $query );
if ( $db->num_rows == 0 )
	{
	print "<b>No links were found</b><br>";
	}
else
	{
	foreach ( $result as $val )
		{
		create_links_page( $val->category, $val->sub_category, false );
		}
	echo "Pages created<br>";
	//  Create a 5 second pause to reduce server load spiking
	echo "script pause....<br>";
	sleep ( 5 );
	}


create_index_page( false );
echo "Index page built<br>";
echo "<a href=\"../admin/admin_category_list.php\">Return to Category Management</a>";
?>